/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package cricketdaemon.clientlib.data;

import java.util.*;

/**
 * Distance Statistics.
 *
 * @author Allen Miu
 */
public class DistanceStat {
    public double dist = -1;
    public double median = -1;
    public double mean = -1;
    public double mode = -1;
    public double max     = -1;
    public double min     = -1;
    public double stddev = -1;
    public double variance = -1;

    public ArrayList samples;

    public DistanceStat()
    {
	samples = new ArrayList();
    }

    public String toString()
    {
	return 
	    "dist="+dist+
	    "med="+median+" avg="+mean+" mode="+mode+" "+
	    "max="+max+" min="+min+" stdd="+stddev+" var="+variance;
    }

}
