/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package navigator;

import java.util.*;

public class PriorityQueue extends Vector
{
    public Edge removeMin()
    {
	Edge minItem = (Edge) get(0);
	int index = 0;
	for(int i = 1; i < size(); i++) {
	    Edge curItem = (Edge) get(i);
	    if(minItem.treeNode.curDist > curItem.treeNode.curDist) {
		minItem = curItem;
		index = i;
	    }
	}
	remove(index);
	return minItem;
    }
}
