/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package cricketdaemon;

public class ServiceTime
{
    static long startTime = 0;
    

    // requires: startTime == 0 at load time
    // effects: returns current system time (in ms) when called the
    //          first time, otherwise, returns the time elapsed from 
    //          the time this method was previously called.
    private static long getElapsedTime()
    {
	long curTime = System.currentTimeMillis();;
	long elapsed = curTime - startTime;
	startTime = curTime;
	return elapsed;
    }

    // effects: appends s with the value returned by
    //          getElapsedTime() and prints it to stdout
    public static void printElapsedTime(String s)
    {
	System.out.println(s+": "+getElapsedTime());
    }
}
